
$(document).ready(function() {
    var strSelectArea = "请选择";

    //给地区下拉框绑定事件
    $('#ddlTopAreas').change(function() {
        $('#ddlSubAreas option:gt(0)').remove();
        $('#ddlThirdAreas option:gt(0)').remove();
        $('#hdnTopAreas').val(this.value);
        if ($(this).val() != '0') { setSubArea($(this),$( '#ddlSubAreas')) };
        setArea();
    });
    $('#ddlSubAreas').change(function() {
        $('#ddlThirdAreas option:gt(0)').remove();
        $('#hdnSubAreas').val(this.value);
        if ($('option[selected]', this).val() != '0')
            (setSubArea($(this),$( '#ddlThirdAreas')));
        setArea();
    });
    $('#ddlThirdAreas').change(function() {
        $('#hdnThirdAreas').val(this.value);
        setArea();
    });

    function setArea() {
        var r = $('#ddlTopAreas').find("option:selected").text() + $('#ddlSubAreas').find("option:selected").text() + $('#ddlThirdAreas').find("option:selected").text();
        $("#spanArea").text(r.replace("选择地区", "").replace("选择地区", "").replace("请选择", "").replace("请选择", ""));
    }

});  //$(document).ready 结束
function setSubArea(parentObj, subObj) {
    var parentId = parseInt(parentObj.val()) * 1;
    if (parentId < 1)
        return;
    //alert(parentId);
    var postUrl = siteRootUrl + "tool/ajax.ashx";
    jQuery.ajax({
        url: postUrl,
        cache: false,
        dataType: "json",
        async: false,
        type: "POST",
        data: { op: "getsubarea", parentId: parentId },
        success: function(j, textStatus) {
            subObj.find("option").remove();
            subObj.append("<option value='0'>" + strSelectArea + "</option>");
            for (var i = 0; i < j.length; i++) {
                subObj.append("<option value='" + j[i].areaid + "'>" + j[i].areaname + "</option>");
            }
        },
        error: function() {
            alert("与服务器连接失败！");
            return false;
        }
    });

}


